
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux服务管理之NTP服务器配置 / 憋错料</title>

    <meta name="description" content="Linux服务管理之NTP服务器配置 目标环境,3台linuxcentos 6.6,一台作为NTPD服务与外部公共NTP服务同步时间,同时作为内网的NTPD服务器,其他机器与这台服务做时间同步. 1.NTP时间同步方式选择 NTP同步方式在linux下一般两种:使用ntpdate命令直接同步和使用NTPD服务平滑同步.有什么区别呢,简单说下,免得时间长了,概念又模糊. 现有一台设备,系统时间是13:00 , 真实的当前时间(在空中,也许卫星上,这里假设是在准备同步的上级目标NTP服务器)是:12:30  .如果我们使用ntpdate">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux服务管理之NTP服务器配置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>目标环境，3台linuxcentos 6.6，一台作为NTPD服务与外部公共NTP服务同步时间，同时作为内网的NTPD服务器，其他机器与这台服务做时间同步。</p>
<p><strong><br /></strong></p>
<p><strong>1</strong><strong>、</strong><strong>NTP</strong><strong>时间同步方式选择</strong></p>
<p>NTP同步方式在linux下一般两种：使用ntpdate命令直接同步和使用NTPD服务平滑同步。有什么区别呢，简单说下，免得时间长了，概念又模糊。</p>
<p>现有一台设备，系统时间是13:00 , 真实的当前时间(在空中，也许卫星上，这里假设是在准备同步的上级目标NTP服务器)是:12:30 &nbsp;。如果我们使用ntpdate同步（ntpdate-u 目标NTP服务器IP），操作系统的时间立即更新为12:30,假如，我们的系统有一个定时应用，是在每天12:40运行，那么实际今天这个的任务已经运行过了（当前时间是13:00嘛），现在被ntpdate修改为12:30，那么意味作10分钟后，又会执行一次任务，这就糟糕了，这个任务只能执行一次的嘛！！我想你（其实是我）已经懂了ntpdate时间同步的隐患，当然这个例子有些极端，但的确是有风险的，生产环境我不打算这么干，还是稳妥点好。所以解决该问题的办法就是时间平滑更改，不会让一个时间点在一天内经历两次，这就是NTPD服务方式平滑同步时间，它每次同步时间的偏移量不会太陡，是慢慢来的（问：怎么来，没有细究，只晓得一次一点的同步，完全同步好需要较长时间，所以一般开启NTPD服务同步前先用ntpdate先手动同步一次）。</p>
<p><strong>2</strong><strong>、安装配置</strong></p>
<p>CentOS 6.6已经自带了NTPD服务，一般默认是按照了的，如果没有安装，先检查下，然后配置好yum仓库，yum方式安装下就OK，具体如下：</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;rpm&nbsp;-qa&nbsp;ntp
ntp-4.2.6p5-1.el6.centos.x86_64&nbsp;&nbsp;//&nbsp;这表示已安装了，如果没有安装，这是空白。</pre>
<p>如果没有安装，我们就安装一下：</p>
<p># yum install ntp</p>
<p>按上面的安装方式在内网每台服务器上都安装好NTP软件包。</p>
<p>完成后，都需要配置NTP服务为自启动</p>
<p># chkconfig ntpd on</p>
<p># chkconfig --list ntpd</p>
<p>ntpd &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;0:关闭1:关闭2:启用3:启用4:启用5:启用6:关闭</p>
<p>在配置前，先使用ntpdate手动同步下时间，免得本机与外部时间服务器时间差距太大，让ntpd不能正常同步。</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ntpdate&nbsp;-u&nbsp;172.16.0.1
&nbsp;1Jan&nbsp;19:50:32&nbsp;ntpdate[2088]:&nbsp;step&nbsp;time&nbsp;server&nbsp;172.16.0.1&nbsp;offset&nbsp;29061.965240sec</pre>
<p><strong>配置内网</strong><strong>NTP-Server(172.16.31.10）</strong></p>
<p>下面主要是配置内网的NPTD服务器(172.16.31.10心就在/etc/ntp.conf文件，配置好了就OK。先上配置文件再说，红色部分是我的修改，其他的是默认。</p>
<p>[[email&#160;protected] ~]# cat /etc/ntp.conf</p>
<p># For more information about this file, see the man pages</p>
<p># ntp.conf(5), ntp_acc(5), ntp_auth(5), ntp_clock(5), ntp_misc(5), ntp_mon(5).</p>
<p>driftfile /var/lib/ntp/drift</p>
<p># Permit time synchronization with our time source, but do not</p>
<p># permit the source to query or modify the service on this system.</p>
<p>restrict default kod nomodify notrap nopeer noquery</p>
<p>restrict -6 default kod nomodify notrap nopeer noquery</p>
<p># Permit all access over the loopback interface. &nbsp;This could</p>
<p># be tightened as well, but to do so would effect some of</p>
<p># the administrative functions.</p>
<p>restrict 127.0.0.1</p>
<p>restrict -6 ::1</p>
<p># 允许内网其他机器同步时间</p>
<p># Hosts on local network are less restricted.</p>
<p>restrict 172.16.31.0 mask 255.255.0.0 nomodify notrap</p>
<p># Use public servers from the pool.ntp.org project.</p>
<p># Please consider joining the pool (http://www.pool.ntp.org/join.html).</p>
<p># 中国这边最活跃的时间服务器 : http://www.pool.ntp.org/zone/cn</p>
<p>#erver 210.72.145.44 perfer &nbsp; # 中国国家受时中心</p>
<p>#erver 202.112.10.36 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; # 1.cn.pool.ntp.org</p>
<p>#erver 59.124.196.83 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; # 0.asia.pool.ntp.org</p>
<p>但是我这里上层有时间服务器，我就使用上面的吧！！！</p>
<p>server 172.16.0.1</p>
<p>#broadcast 192.168.1.255 autokey &nbsp; &nbsp; &nbsp; &nbsp;# broadcast server</p>
<p>#broadcastclient &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;# broadcast client</p>
<p>#broadcast 224.0.1.1 autokey &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;# multicast server</p>
<p>#multicastclient 224.0.1.1 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;# multicast client</p>
<p>#manycastserver 239.255.254.254 &nbsp; &nbsp; &nbsp; &nbsp; # manycast server</p>
<p>#manycastclient 239.255.254.254 autokey # manycast client</p>
<p># 允许上层时间服务器主动修改本机时间</p>
<p>#allow update time by the upper server</p>
<p>restrict 172.16.0.1 nomodify notrap noquery</p>
<p># 外部时间服务器不可用时，以本地时间作为时间服务</p>
<p># Undisciplined Local Clock. This is a fake driver intended for backup</p>
<p># # and when no outside source of synchronized time is available.</p>
<p>server 127.127.1.0 &nbsp; #local clock</p>
<p>fudge &nbsp;127.127.1.0 &nbsp; stratum &nbsp;10</p>
<p># Enable public key cryptography.</p>
<p>#crypto</p>
<p>includefile /etc/ntp/crypto/pw</p>
<p># Key file containing the keys and key identifiers used when operating</p>
<p># with symmetric key cryptography.</p>
<p>keys /etc/ntp/keys</p>
<p># Specify the key identifiers which are trusted.</p>
<p>#trustedkey 4 8 42</p>
<p># Specify the key identifier to use with the ntpdc utility.</p>
<p>#requestkey 8</p>
<p># Specify the key identifier to use with the ntpq utility.</p>
<p>#controlkey 8</p>
<p># Enable writing of statistics records.</p>
<p>#statistics clockstats cryptostats loopstats peerstats</p>
<p>配置文件修改完成，保存退出，启动服务。</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;service&nbsp;ntpd&nbsp;start
Starting&nbsp;ntpd:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;&nbsp;OK&nbsp;&nbsp;]</pre>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;date
Thu&nbsp;Jan&nbsp;1&nbsp;20:00:25&nbsp;CST&nbsp;2015</pre>
<p>启动后，一般需要5-10分钟左右的时候才能与外部时间服务器开始同步时间。可以通过命令查询NTPD服务情况。</p>
<p>查看服务连接和监听</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;netstat&nbsp;-tunlp&nbsp;|grep&nbsp;ntp
udp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;172.16.31.10:123&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0.0.0.0:*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2128/ntpd&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
udp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;127.0.0.1:123&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0.0.0.0:*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2128/ntpd&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
udp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;0.0.0.0:123&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0.0.0.0:*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2128/ntpd&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
udp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;fe80::a00:27ff:fedb:35e6:123&nbsp;:::*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2128/ntpd&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
udp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;::1:123&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2128/ntpd&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
udp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;:::123&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2128/ntpd</pre>
<p>连接和监听已正确，采用UDP方式</p>
<p><strong>ntpq -p 查看网络中的NTP服务器，同时显示客户端和每个服务器的关系</strong></p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ntpq&nbsp;-p
&nbsp;&nbsp;&nbsp;&nbsp;remote&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;refid&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;st&nbsp;t&nbsp;when&nbsp;poll&nbsp;reach&nbsp;&nbsp;&nbsp;delay&nbsp;&nbsp;offset&nbsp;&nbsp;jitter
===================================================================
&nbsp;server.magelinu&nbsp;LOCAL(0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;11&nbsp;u&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;&nbsp;64&nbsp;&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;&nbsp;0.696&nbsp;&nbsp;&nbsp;30.409&nbsp;&nbsp;&nbsp;0.325
*LOCAL(0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.LOCL.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;10&nbsp;l&nbsp;&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;64&nbsp;&nbsp;&nbsp;&nbsp;3&nbsp;&nbsp;&nbsp;&nbsp;0.000&nbsp;&nbsp;&nbsp;0.000&nbsp;&nbsp;&nbsp;0.000</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNTcvRkEvd0tpb0wxU2xQS1NndzktVEFBTEhTMXFyRDNNMTcyLmpwZw==.jpg" /></p>
<p>ntpstat 命令查看时间同步状态，这个一般需要5-10分钟后才能成功连接和同步。所以，服务器启动后需要稍等下。</p>
<p>刚启动的时候，一般是：</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ntpstat&nbsp;
unsynchronised
&nbsp;&nbsp;time&nbsp;server&nbsp;re-starting
&nbsp;&nbsp;&nbsp;polling&nbsp;server&nbsp;every
64&nbsp;s</pre>
<p>连接并同步后:</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ntpstat
synchronised&nbsp;to&nbsp;NTP&nbsp;server
(202.112.10.36)&nbsp;at&nbsp;stratum&nbsp;3&nbsp;
&nbsp;&nbsp;&nbsp;time&nbsp;correct&nbsp;to&nbsp;within
275&nbsp;ms
&nbsp;&nbsp;&nbsp;polling&nbsp;server&nbsp;every
256&nbsp;s</pre>
<p>OK，内网的NTPD服务已经配置完成，如果所有正常后，开始配置内网的其他设备与这台服务器作为时间同步服务。</p>
<p>配置内网NTP-Clients</p>
<p>内网其他设备作为NTP的客户端配置，相对就比较简单，而且所有设备的配置都相同。</p>
<p>首先需要安装NTPD服务，然后配置为自启动（与NTP-Server完全一样）。然后找其中一台配置/etc/ntp.conf文件，配置完成验证通过后，拷贝到其他客户端机器，直接使用即可。</p>
<pre>#&nbsp;yum&nbsp;install&nbsp;ntp
#&nbsp;chkconfig&nbsp;ntp&nbsp;on</pre>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;cat&nbsp;/etc/ntp.conf&nbsp;|grep&nbsp;-v&nbsp;^#&nbsp;
driftfile&nbsp;/var/lib/ntp/drift
restrict&nbsp;default&nbsp;kod&nbsp;nomodify&nbsp;notrap&nbsp;nopeer&nbsp;noquery
restrict&nbsp;-6&nbsp;default&nbsp;kod&nbsp;nomodify&nbsp;notrap&nbsp;nopeer&nbsp;noquer
restrict&nbsp;127.0.0.1&nbsp;
restrict&nbsp;-6&nbsp;::1
#&nbsp;配置时间服务器为本地的时间服务器
server&nbsp;&nbsp;172.16.31.10
#&nbsp;允许上层时间服务器主动修改本机时间
restrict&nbsp;172.16.31.10&nbsp;nomodify&nbsp;notrap&nbsp;noquery
#&nbsp;外部时间服务器不可用时，以本地时间作为时间服务
server&nbsp;&nbsp;127.127.1.0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#&nbsp;local&nbsp;clock
fudge&nbsp;&nbsp;&nbsp;127.127.1.0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;stratum&nbsp;10
includefile&nbsp;/etc/ntp/crypto/pw
keys&nbsp;/etc/ntp/keys</pre>
<p>为了简单，这里只列出了配置项，注释全部清理了。</p>
<p>OK，保存退出，请求服务器前，请先使用ntpdate手动同步下时间</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ntpdate&nbsp;-u&nbsp;172.16.31.10
&nbsp;1Jan&nbsp;20:09:18&nbsp;ntpdate[1855]:&nbsp;step&nbsp;time&nbsp;server&nbsp;172.16.31.10&nbsp;offset&nbsp;29062.354752sec</pre>
<p>这里有可能出现同步失败，一般情况下原因都是本地的NTPD服务器还没有正常启动起来，一般需要几分钟时间后才能开始同步。</p>
<p>错误判断请参考后面的错误处理。</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;service&nbsp;ntpd&nbsp;start
Starting&nbsp;ntpd:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;&nbsp;OK&nbsp;&nbsp;]</pre>
<p>启动后，查看同步情况</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ntpq&nbsp;-p
&nbsp;&nbsp;&nbsp;&nbsp;remote&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;refid&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;st&nbsp;t&nbsp;when&nbsp;poll&nbsp;reach&nbsp;&nbsp;&nbsp;delay&nbsp;&nbsp;offset&nbsp;&nbsp;jitter
===================================================================
&nbsp;172.16.31.10&nbsp;&nbsp;&nbsp;172.16.0.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;12&nbsp;u&nbsp;&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;64&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;0.380&nbsp;&nbsp;-0.124&nbsp;&nbsp;&nbsp;0.000
*LOCAL(0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.LOCL.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;10&nbsp;l&nbsp;&nbsp;&nbsp;&nbsp;4&nbsp;&nbsp;64&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;0.000&nbsp;&nbsp;&nbsp;0.000&nbsp;&nbsp;&nbsp;0.000
[[email&#160;protected]&nbsp;~]#&nbsp;ntpstat
synchronised&nbsp;to&nbsp;local&nbsp;net&nbsp;at&nbsp;stratum&nbsp;11&nbsp;
&nbsp;&nbsp;time&nbsp;correct&nbsp;to&nbsp;within&nbsp;7948&nbsp;ms
&nbsp;&nbsp;polling&nbsp;server&nbsp;every&nbsp;64&nbsp;s</pre>
<p>因为是内网，一般ntpstat很快就可以同步上。</p>
<p><strong>OK，本机客户端配置完成后，使用SCP拷贝/etc/ntp.conf到其他需要同步的客户端机器，启动NTPD服务即可。</strong></p>
<p>其他客户端机器上操作配置如下：</p>
<p>第三台机器同样配置。</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;scp&nbsp;/etc/ntp.conf&nbsp;[email&#160;protected]:/etc/ntp.conf
[[email&#160;protected]&nbsp;~]#&nbsp;chkconfig&nbsp;ntpd&nbsp;on
[[email&#160;protected]&nbsp;~]#&nbsp;service&nbsp;ntpd&nbsp;start
Starting&nbsp;ntpd:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;&nbsp;OK&nbsp;&nbsp;]
[[email&#160;protected]&nbsp;~]#&nbsp;ntpq&nbsp;-p
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;remote&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;refid&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;st&nbsp;t&nbsp;when&nbsp;poll&nbsp;reach&nbsp;&nbsp;&nbsp;delay&nbsp;&nbsp;&nbsp;offset&nbsp;&nbsp;jitter
==============================================================================
&nbsp;172.16.31.10&nbsp;&nbsp;&nbsp;&nbsp;172.16.0.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;12&nbsp;u&nbsp;&nbsp;&nbsp;&nbsp;5&nbsp;&nbsp;&nbsp;64&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;1.561&nbsp;&nbsp;2906213&nbsp;&nbsp;&nbsp;0.000
*LOCAL(0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.LOCL.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;10&nbsp;l&nbsp;&nbsp;&nbsp;&nbsp;4&nbsp;&nbsp;&nbsp;64&nbsp;&nbsp;&nbsp;&nbsp;1&nbsp;&nbsp;&nbsp;&nbsp;0.000&nbsp;&nbsp;&nbsp;&nbsp;0.000&nbsp;&nbsp;&nbsp;0.000
[[email&#160;protected]&nbsp;~]#&nbsp;date
Thu&nbsp;Jan&nbsp;&nbsp;1&nbsp;12:09:13&nbsp;CST&nbsp;2015
[[email&#160;protected]&nbsp;~]#&nbsp;ntpdate&nbsp;-u&nbsp;172.16.31.10
&nbsp;1&nbsp;Jan&nbsp;20:13:49&nbsp;ntpdate[1815]:&nbsp;step&nbsp;time&nbsp;server&nbsp;172.16.31.10&nbsp;offset&nbsp;29062.129201&nbsp;sec
[[email&#160;protected]&nbsp;~]#&nbsp;date
Thu&nbsp;Jan&nbsp;&nbsp;1&nbsp;20:13:53&nbsp;CST&nbsp;2015</pre>
<p><strong>至此,ntp服务器就配置完成！！！</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 21:35:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ntpserver/" title="ntpserver">ntpserver</a>, <a href="https://www.biecuoliao.com/tag/ntpd/" title="ntpd">ntpd</a>, <a href="https://www.biecuoliao.com/tag/ntpq/" title="ntpq">ntpq</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux服务管理之NTP服务器配置的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47z6qo3.html" rel="bookmark">Linux学习笔记&mdash;&mdash;Linux服务管理（十）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				+++++++++++++++++++++++++ +++++Linux服务管理+++++++++++++++++++++++++++++++ 1. 服务简介与分类 服务启动与自启动的概念: 服务启动:就是在当前系统中让服务运行,并提供功能 服务自启动:自启动是指让服务在系统开机或重启之后,随着系统的启动而自动启动的服务 查询已安装的服务: RPM包安装的服务——命令 :chkconfig --list     #查看服务自启动状态,可以看到所有RPM包安装的服务 源码包安装的服务——查看服务安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Qdz6L3.html" rel="bookmark">Linux服务管理之httpd-2&period;4常用配置及phpMyAdmin、wordpress、Discuz安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.何为httpd httpd是Apache超文本传输协议(HTTP)服务器的主程序.被设计为一个独立运行的后台进程,它会建立一个处理请求的子进程或线程的池. Apache是世界使用排名第一的Web服务器软件.它可以运行在几乎所有广泛使用的计算机平台上,由于其跨平台和安全性被广泛使用,是最流行的Web服务器端软件之一.它快速.可靠并且可通过简单的API扩充,将Perl/Python等解释器编译到服务器中. 二.httpd-2.4较httpd-2.2 新特性: (1) MPM支持运行DSO机制:以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/My58eEM.html" rel="bookmark">&lbrack;Linux&rsqb;服务管理：rpm包&comma; 源码包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				--------------------------------------------------------------------------------------------------- |--- 1. 独立的服务  |---- rpm包默认安装的服务 |--- 2. 基于xinetd服务 linux服务分类: | |---- 源码包安装的服务 查询已安装的服务: rpm包安装的服务:chkconfig --list( 查看服务自启动状态,可以看到所有rpm包安装的服务 ) ( 7个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aydWJ0.html" rel="bookmark">Linux服务管理（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先谢慕课网,谢谢老师. 一.简介与分类二.RPM包服务管理三.源码包服务管理四.服务管理总结 一.简介与分类: 1.系统的运行级别Linux默认有7个运行级别    0关机    1单用户模式,可以想象为Windows的安全模式,主要用于系统修复    2不完全的命令模式,不含NFS服务    3完全的命令行模式,就是标准字符界面    4系统保留    5图形模式    6重启动查看级别    runlevel    查看当前级别,通常是3,标准字符界面:切换级别        init 5 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bde7o4.html" rel="bookmark">Linux服务管理（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二.RPM包服务管理: 独立的服务启动快,占用的内存多基于xinetd的服务越来越少 独立的服务的管理方法:    /etc/init.d/:启动脚本位置    /etc/sysconfig/:初始化环境配置文件位置    /etc/:配置文件位置    /etc/xinetd.conf:xinetd配置文件    /etc/xinetd.d/:基于xinetd服务的启动脚本    /var/lib/:服务产生的数据放在这里    /var/log/:日志 (Linux一切皆文件)独立服务的启动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OlGKg4.html" rel="bookmark">Linux学习笔记&lpar;19&rpar; Linux服务管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 服务的分类 Linux服务可分为RPM包默认安装的服务和源码包安装的服务.前者可细分为独立的服务(直接作用于内存中)和基于xinetd服务.xinetd本身是独立的服务,其唯一的功能是管理其他服务.优点是管理的服务不占用内存,缺点是响应缓慢. (1) 启动和自启动 服务启动就是在当前系统中让服务运行,并提供其功能.服务的自启动是指让服务在系统开机或重启之后,随着系统的启动而自动启动服务. (2) 查询已安装的服务 RPM包安装的服务可通过chkconfig --list命令查看,其作用是查			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0ezrw3.html" rel="bookmark">linux服务管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xinetd 超级服务管理 ,常驻在内存,起到中间作用,管理服务,根据客户端的请求,xinted通知相应的服务启动进程 . 基于 xinetd的服务,例如telnet xinetd的自启动方式      chkconfig  telnet on    一般是指下次开启,会自动启动 查看属于xinted的服务   cd /etc/xinetd.d vim /etc/rc.d/rc.local service服务支持源码包安装  ,链接 ln -s /usr/local/apache/bin/apa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MonZNP4.html" rel="bookmark">Linux服务管理（开启关闭防火墙）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.firewalld的基本使用 启动: systemctl start firewalld 关闭: systemctl stop firewalld 查看状态: systemctl status firewalld 开机禁用  : systemctl disable firewalld 开机启用  : systemctl enable firewalld 2.systemctl是CentOS7的服务管理工具中主要的工具,它融合之前service和chkconfig的功能于一体. 启动一个服务:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47q9yY0.html" rel="bookmark">Linux服务管理之unit的概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 类型 systemd开启和监督整个系统是基于unit的概念.unit是由一个与配置文件名同名的名字和类型组成的(例如:avahi.service unit有一个具有相同名字的配置文件,它是守护进程avahi的一个封装单元).unit有以下几种类型: service:代表一个后台服务进程,比如 mysqld.这是最常用的一类. socket:此类配置单元封装系统和互联网中的一个套接字.当下,systemd支持流式,数据报和连续包的 AF_INET,AF_INET6,AF_UNIX socke			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMznWdM.html" rel="bookmark" class="title">HTTP会话原理解释与应用</a>
					<div>
						一.什么是会话 首先解释一下什么是会话.在计算机术语中,会话是指一个终端用户与交互系统进行通讯的过程,比如从输入账户密码进入操作系统到退出操作系统就是一个会话过程.会话较多用于网络上,TCP的三次握手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgVQk0.html" rel="bookmark" class="title">asp&period;net web&period;config配置节说明</a>
					<div>
						web.config 文件查找规则:      (1)如果在当前页面所在目录下存在web.config文件,查看是否存在所要查找的结点名称,如果存在返回结果并停止查找.      (2)如果当前页面所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1pnNM.html" rel="bookmark" class="title">css定位练习&OpenCurlyDoubleQuote;十字架&OpenCurlyDoubleQuote;之水平垂直居中</a>
					<div>
						1.先看要实现的效果 实际的效果图 可以看到我的实现过程是先使用一个父级的div来定位水平垂直居中,然后再父级的div中定位出两个十字架的div. 看实现代码: &lt;!DOCTYPE HTML P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r28e93.html" rel="bookmark" class="title">芸掷墼仁卵o36l8ynsc35bawq0m</a>
					<div>
						李藏德大吼一声,忽然冲了过去,凌空跃起,一个鞕腿就朝杜晨的头上抽去.&quot;我也不知道.&quot;&quot;不能再等了!&quot;温针的五个主**,太冲.足三里.三阴交.内关.肾俞.两个配* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRAWQ0.html" rel="bookmark" class="title">&lbrack;深入浅出WP8&period;1&lpar;Runtime&rpar;&rsqb;应用实例&mdash;&mdash;移动截图</a>
					<div>
						10.2应用实例——移动截图 移动截图例子是实现一个把一张图片的某个部分截取出来的功能,并且用户可以选定截取的图片区间.那个该例子会使用ManipulationDelta事件来实现对截取区间的选择.然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wyP1NM.html" rel="bookmark" class="title">json与jsonp的区别</a>
					<div>
						前言 由于Sencha Touch 2这种开发模式的特性,基本决定了它原生的数据交互行为几乎只能通过AJAX来实现. 当然了,通过调用强大的PhoneGap插件然后打包,你可以实现100%的Socke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDRK6M.html" rel="bookmark" class="title">论文&lowbar;论文的写法</a>
					<div>
						[中文文字来源:http://weibo.com/p/1001603931593801661149:英文原文作者为Angel Borja博士,文字来源:https://www.elsevier.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AR7rdM.html" rel="bookmark" class="title">css中文字能够撑开高度吗</a>
					<div>
						css中文字能够撑开高度吗:本章节介绍一个可能比较误导人的概念.那就是当一个div没有设置高度的时候,可能很多人认为它的高度是由内部的文字撑开的,真的是这样吗,下面就通过代码实例进行一下验证,代码实例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dAnrg3.html" rel="bookmark" class="title">HDU 4633&lpar;polya计数</a>
					<div>
						题目:用k种颜色给一个魔方染色,可以染每个面的9个小矩形,12条棱,8个顶点(总之就是有74个能染的地方),空间旋转后一样的视为相同,问有多少种不同的染色方案. 思路:裸的polya计数,但是这个立方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J8rQb0.html" rel="bookmark" class="title">javascript（条件语句和循环语句）</a>
					<div>
						一.条件语句(比较运算符.逻辑运算符.if语句) 1.比较运算符(==.!=.&gt;.&gt;=.&lt;.&lt;=.) 2.逻辑运算符(与运算符&amp;&amp;.或运算符||.非运算符!)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrWxj4.html" rel="bookmark" class="title">&lbrack;转载&rsqb;敏捷体验设计师应该具备的12项技能</a>
					<div>
						敏捷UX和传统瀑布式UX不同之处在于它与交付过程的强关联关系,对于人的要求也更加全面.这意味着你将改变你曾经绝大部分时间只在角落里做一件事的习惯,以更加开放的姿态融入合作.本文将从技能交付出发,在策略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyo8a0.html" rel="bookmark" class="title">brain storm 5 July Descendants of the sun</a>
					<div>
						descendants of the sun:  from longman: He was a direct descendant of Napoleon Bonaparte. -scend  des ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzAbJJ4.html" rel="bookmark" class="title">JDK JRE先保存 后面再整理</a>
					<div>
						1. 定义 JRE(Java Runtime Enviroment)是Java的运行环境.面向Java程序的使用者,而不是开发者.如果你仅下载并安装了JRE,那么你的系统只能运行Java程 序.JRE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ek7eg4.html" rel="bookmark" class="title">java io（2）</a>
					<div>
						磁盘io工作机制 1.标准方式 物理磁盘&lt;--&gt;内核空间&lt;--&gt;用户地址空间 2.直接I/O 物理磁盘&lt;--&gt;用户地址空间 数据库是这么干的,从同样是系统软件的角度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZ9nn3.html" rel="bookmark" class="title">win10下安装mysql5&period;7&period;16（解压缩版）</a>
					<div>
						注:本文涉及的是解压缩版的安装 安装教程 下载mysql 地址是:http://dev.mysql.com/downloads/mysql/ 解压缩下载的文件 修改ini文件(在解压缩后的mysql文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jd5ZA0.html" rel="bookmark" class="title">HDU 1785 You Are All Excellent（斜率排序&plus;结构体）</a>
					<div>
						You Are All Excellent Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Ot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRgyA4.html" rel="bookmark" class="title">hibernate学习（设计一对一 关系 映射）</a>
					<div>
						//主表 package org.crazy.app.domain; import javax.persistence.*; @Entity @Table(name=&quot;person_inf& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkZkw3.html" rel="bookmark" class="title">ASP&period;NET MVC 3 常用</a>
					<div>
						http://blog.csdn.net/churujianghu/article/details/7297358 1.ASP.NET MVC 3 如何去除默认验证 这个默认验证是在web.confi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47odn64.html" rel="bookmark" class="title">Qt中的pro文件配置总结</a>
					<div>
						可以打印出QMAKESPEC的文件路径: message($$QMAKESPEC) DESTDIR = xxx #指定程序的安装路径 SOURCES += xx.cpp HEADERS += xx.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pDlRK4.html" rel="bookmark" class="title">Python3 second</a>
					<div>
						#List append list= ['a','b','c','d','e','f','g'] print(list) list.append('h') print(list) list2= ['1 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
